<?php

	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Hurricanes
	#
	# 	This plugin shows previous hurricane paths and information about them.
	#
	############################################################################
	#	Version and change log
	#
	# 		v1.0 - Mar 4, 2017 
	# 			- initial release
	#		v1.1 - Jan 22, 2018
	# 			- changes due to changed data source
	#
	############################################################################
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		
		<style>
			.hovered{
				cursor: pointer;
				opacity: 0.7;
			}
			.hovered:hover{
				opacity: 1;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php");?>
		</div>
		<div id="main" style="text-align:center">
			<h1><?php echo lang("hurricanes",'c')?></h1>
			<table style="margin:0 auto">
				<tr>
					<td>
						<select id="basinSelect" class="button2">
							<option value="" selected>--<?php echo lang('basin','l')?>--</option>
							<option value="atl"><?php echo lang('atlantic','c')?></option>
							<option value="epac"><?php echo lang('eastern pacific','w')?></option>
						</select>
					</td>
					<td>
						<select id="yearSelectHurricane" class="button2" style="display:none">
							<option value="" selected>--<?php echo lang('year','l')?>--</option>
							<?php
								for($i=1995;$i<=date("Y");$i++){
							?>
									<option value="<?php echo $i?>"><?php echo $i?></option>
							<?php
								}
							?>
						</select>
					</td>
					<td>
						<div id="hurricaneSelectDiv"></div>
					</td>
					<td>
						<div id="pdfDiv"></div>
					</td>
				</tr>
			</table>
			<div id="map" style="margin: 0 auto;width:98%;height:600px;color:black"></div>
			<div id="content-window"></div>
			<div style="width:98%;margin:0 auto; text-align:center;text-variant:small-caps;font-size:0.9em">
				<?php echo lang('data source','c')?>: NOAA
			</div>
			<br><br>
		</div>
		<?php include($baseURL."footer.php");?>
		
		<script>
		$("#basinSelect").change(function(){
			$("#yearSelectHurricane").val("");
			$("#yearSelectHurricane").show();
			$("#hurricaneSelectDiv").html("");
		})
		$("#yearSelectHurricane").change(function(){
			$("#pdfDiv").html();
			if($("#yearSelectHurricane").val()==""){
				return false;
			}
			basin = $("#basinSelect").val();
			$("#hurricaneSelectDiv").load("loadYear.php?basin="+basin+"&year="+$("#yearSelectHurricane").val());
		});
    	function initMap() {
        	map = new google.maps.Map(document.getElementById('map'), {
          		zoom: 2,
          		center: {lat:<?php echo $stationLat?>, lng: <?php echo $stationLon?>}
        	});
        	kmlLayer = new google.maps.KmlLayer({
          		url: '',
          		suppressInfoWindows: true
        	});
			kmlLayer.setMap(map);
        	kmlLayer.addListener('click', function(kmlEvent) {
          		text = kmlEvent.featureData.description;
          		showInContentWindow(text);
        	});
		 	kmlLayer.addListener('click', function(kmlEvent) {
          		text = kmlEvent.featureData.description;
          		showInContentWindow(text);
        	});
        	function showInContentWindow(text) {
          		sidediv = document.getElementById('content-window');
          		sidediv.innerHTML = text;
        	}
      	}
		function addNew(){
			$("#pdfDiv").html();
			kmz = $('option:selected', $("#hurricaneSelector")).attr('data-kmz');
			pdf = $('option:selected', $("#hurricaneSelector")).attr('data-pdf');
			$("#pdfDiv").html("<div class='hovered' style='padding:10px'><a href='http://www.nhc.noaa.gov/data/tcr/"+pdf+"' target='_blank'><span class='fa fa-file-pdf-o' style='font-size:2em'></span></a><br><span style='font-variant:small-caps'><?php echo lang('info','c')?></span></div>");
			if(kmz==""){
				$("#content-window").html("<br><b>No map available. Maps are only available for hurricanes after and including 2010.</b><br><br>");
				return false;
			}
			kmlLayer.setMap(null);
			kmzURL = "http://www.nhc.noaa.gov/gis/best_track/"+kmz;
		 	kmlLayer = new google.maps.KmlLayer({
          		url: kmzURL,
          		//suppressInfoWindows: true
        		});
			kmlLayer.setMap(map);
		}
    </script>
    <script async defer src="https://maps.googleapis.com/maps/api/js?callback=initMap&key=<?php echo $googleMapsAPIKey?>"></script>
	</body>
</html>
	